curl --request PATCH \
--url https://melso.ai/api/secrets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"share": "areas",
"area_ids": [
"00000000-0000-4000-8000-000000000001"
]
}
'import requests
url = "https://melso.ai/api/secrets/{id}"
payload = {
"share": "areas",
"area_ids": ["00000000-0000-4000-8000-000000000001"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({share: 'areas', area_ids: ['00000000-0000-4000-8000-000000000001']})
};
fetch('https://melso.ai/api/secrets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/secrets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'share' => 'areas',
'area_ids' => [
'00000000-0000-4000-8000-000000000001'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/secrets/{id}"
payload := strings.NewReader("{\n \"share\": \"areas\",\n \"area_ids\": [\n \"00000000-0000-4000-8000-000000000001\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://melso.ai/api/secrets/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"share\": \"areas\",\n \"area_ids\": [\n \"00000000-0000-4000-8000-000000000001\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/secrets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"share\": \"areas\",\n \"area_ids\": [\n \"00000000-0000-4000-8000-000000000001\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"item": "<unknown>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Update vault item
The item’s owner or a workspace owner/admin; Run tokens rejected.
Request: Path: item UUID. At least one of name (a login or card’s display name, or a text item’s variable; ignored for a file, whose name is its file name); env_name (login, card or file); a replacement value of the item’s kind (text, login, card or file); share, with area_ids when sharing with Areas. area_ids requires share. The kind never changes.
Response: {item:VaultItem}
Status: 200; 400 nothing to change or invalid input; 403 not the owner or an admin, or a Run token; 404 unknown item; 409 variable already used; 503 vault unavailable. Authentication and resource-access errors follow Overview.
curl --request PATCH \
--url https://melso.ai/api/secrets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"share": "areas",
"area_ids": [
"00000000-0000-4000-8000-000000000001"
]
}
'import requests
url = "https://melso.ai/api/secrets/{id}"
payload = {
"share": "areas",
"area_ids": ["00000000-0000-4000-8000-000000000001"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({share: 'areas', area_ids: ['00000000-0000-4000-8000-000000000001']})
};
fetch('https://melso.ai/api/secrets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/secrets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'share' => 'areas',
'area_ids' => [
'00000000-0000-4000-8000-000000000001'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/secrets/{id}"
payload := strings.NewReader("{\n \"share\": \"areas\",\n \"area_ids\": [\n \"00000000-0000-4000-8000-000000000001\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://melso.ai/api/secrets/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"share\": \"areas\",\n \"area_ids\": [\n \"00000000-0000-4000-8000-000000000001\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/secrets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"share\": \"areas\",\n \"area_ids\": [\n \"00000000-0000-4000-8000-000000000001\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"item": "<unknown>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Path Parameters
id from the corresponding authorized response.
Body
Response
{item:VaultItem}